Skip to main content
GET
/
v1
/
cwobject
/
access-key
/
{accessKeyId}
Get access key
curl --request GET \
  --url https://api.coreweave.com/v1/cwobject/access-key/{accessKeyId} \
  --header 'Authorization: Bearer <token>'
{
  "info": {
    "accessKeyId": "<string>",
    "status": "<string>",
    "principalName": "<string>",
    "attributes": {},
    "expiry": "2023-11-07T05:31:56Z",
    "orgId": "<string>",
    "multiAttributes": {}
  }
}

gRPC method: GetAccessKeyInfo

Substitute {accessKeyId} with the access-key ID returned from List access keys or Create access key. The secret key is never returned by this endpoint.
Example request
curl -X GET https://api.coreweave.com/v1/cwobject/access-key/{accessKeyId} \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).

Path Parameters

accessKeyId
string
required

Response

OK

Metadata for a single access key.

info
object

The access-key metadata.

Last modified on June 25, 2026